Skip to main content

Captures


This section describes how to capture an automatic fueling authorization with or without a car wash, including separate line items for the fuel and car wash.

Supported processor: Fiserv RapidConnect

Endpoints

The {id} is the transaction ID returned in the authorization response.

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

Example

{  "clientReferenceInformation": {    "code": "123456789012",    "reconciliationId": "000000050000775"  },  "orderInformation": {    "lineItems": [      {        "unitPrice": "20",        "totalAmount": "200",        "unitOfMeasure": "case",        "referenceDataNumber": "01-02-00",        "referenceDataCode": "nacs",        "measurement": 1      },      {        "unitPrice": "20",        "totalAmount": "200",        "unitOfMeasure": "Gallon",        "referenceDataNumber": "01-03-00",        "referenceDataCode": "nacs",        "measurement": 1      },      {        "unitPrice": "20",        "totalAmount": "200",        "unitOfMeasure": "Liter",        "referenceDataNumber": "01-05-00",        "referenceDataCode": "nacs",        "measurement": 1      }    ],    "amountDetails": {      "totalAmount": "10",      "currency": "USD"    }  }}
{  "submitTimeUtc": "2025-03-12T17:30:42Z",  "_links": {    "refund": {      "href": "/pts/v2/payments/7418006421273232235535/refunds",      "method": "POST"    },    "void": {      "href": "/pts/v2/payments/7418006421273232235535/voids",      "method": "POST"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7418006421273232235535"    }  },  "processorInformation": {    "approvalCode": "OK1272",    "responseCode": "000"  },  "consumerAuthenticationResponse": {    "systemTraceAuditNumber": "500042",    "merchantNumber": "RCTST1000107085"  },  "orderInformation": {    "amountDetails": {      "authorizedAmount": "10.00"    }  },  "message": "Successful transaction.",  "clientReferenceInformation": {    "code": "123456789010"  },  "reconciliationId": "000000050000775",  "pointOfSaleInformation": {    "terminalId": "00000001"  },  "id": "7418006421273232235535",  "status": "COMPLETED"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.reconciliationID—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.lineItems[].measurement—
orderInformation.lineItems[].referenceDataCode—
orderInformation.lineItems[].referenceDataNumber—
orderInformation.lineItems[].totalAmount—
orderInformation.lineItems[].unitOfMeasure—
orderInformation.lineItems[].unitPrice—

Last published: September 29, 2026